import java.util.Random;

public class TourRandom extends TourSearch {
    
    public TourRandom(Problem in_p, boolean in_verbose) {
	super(in_p, in_verbose);
    }

    public void construct(Tour t, Random r) {
	RandomArray rand_seq = new RandomArray(p.getSize(), r);
	rand_seq.initialize();
	rand_seq.idealRandomShuffle();
	for (int i = 0; i < t.getSize(); i++)
	    t.sequence[i] = rand_seq.array[i];
    }
}
