public class Tour {
    public int sequence[];

    private int size;

    private Problem p;

    private long length;

    public Tour(Problem in_p) {
	this.p = in_p;
	this.size = p.getSize();
	this.sequence = new int[size];
	//initialize to a value that is not feasible
	for (int i=0;i<size;i++)
	    this.sequence[i]=size;
	this.length = Integer.MAX_VALUE;
    }

    public int getSize() {
	return this.size;
    }

    public void computeLength() {
	this.length = p.tourValue(sequence);
    }

    public long getLength() {
	return this.length;
    }

    @Override
    public String toString() {
	String s = "";
	for (int i = 0; i < p.getSize(); i++) {
	    s += (sequence[i]+1) + " " + p.getCoords(i)[0]+" "+p.getCoords(i)[1]+"\n";
	}
	return s;
    }

}
